#!/usr/bin/php
<?php
// +----------------------------------------------------------------------+
// | Copyright (c) SiouxApp                                               |
// +----------------------------------------------------------------------+
chdir(dirname(__FILE__));
include_once('./exec.inc');
Exec::InitExec();
// ------------------------------------------------------------------------
unset($argv[0]);
$typ = '-e';
$cmd = implode(' ', $argv);
if(substr($cmd, 0, 1)=='-'){
    $typ = trim(substr($cmd, 0, 2));
    $cmd = trim(substr($cmd, 2));
}
if(posix_getuid()==SYSTEM_USERID_ROOT and strpos(' -r -s -u', $typ)===false){
    posix_setuid(SYSTEM_USERID_WWW);
}
if(posix_getuid()!=SYSTEM_USERID_WWW and posix_getuid()!=SYSTEM_USERID_ROOT){
    UtilLog::Error('exec.php', '', E_USER_ERROR, 'can only run as '.SYSTEM_USER_WWW.' or '.SYSTEM_USER_ROOT.' (current:'.posix_getuid().')');
    exit;
}
Exec::CliExec($typ, $cmd);
// ------------------------------------------------------------------------
Exec::TermExec();
// ------------------------------------------------------------------------
?>