<?php
// +----------------------------------------------------------------------+
// | Copyright (c) SiouxApp                                               |
// +----------------------------------------------------------------------+
$etag = '"'.md5($img).'"';
if(!empty($_SERVER['HTTP_IF_NONE_MATCH']) and $_SERVER['HTTP_IF_NONE_MATCH']==$etag){
    header('HTTP/1.1 304 Not Modified');
    header('Content-Length: 0');
    exit;
}
if(empty($_GET['image']))
    exit;
// Settings
$content = file_get_contents("http://data.mphofmann.com/data/image/image-{$_GET['image']}");
if(strlen($content)<1000)
    exit;
$expiry = 604800; // 60*60*24*7 = 604800 = 1 week
$contenttype = __ContentTypGet($_GET['image']);
// Output
header('ETag: '.$etag);
header('Last-Modified: '.gmdate('D, d M Y H:i:s', time()).' GMT');
header('Expires:'.gmdate('D, d M Y H:i:s', time()+$expiry).' GMT');
header("Content-Type: $contenttype");
echo $content;
exit;
// ------------------------------------------------------------------------
function __ContentTypGet($inImage) {
    $pos = strpos($inImage, '.');
    if($pos===false)
        return;
    $data = array(
        'text/css' => 'css',
        'text/html' => 'html htm',
        'text/plain' => 'txt ini bas c h log',
        'text/url' => 'url',
        'text/x-vcard' => 'vcf',
        'audio/x-aiff' => 'aif aifc aiff',
        'audio/basic' => 'au snd',
        'audio/mid' => 'mid rmi',
        'audio/mpeg' => 'mp3',
        'audio/x-pn-realaudio' => 'ra ram',
        'audio/x-wav' => 'wav',
        'image/bmp' => 'bmp',
        'image/gif' => 'gif',
        'image/x-icon' => 'ico',
        'image/jpeg' => 'jpeg jpg jpe',
        'image/png' => 'png',
        'image/svg+xml' => 'svg',
        'image/tiff' => 'tif tiff',
        'message/rfc822' => 'eml',
        'message/rfc822' => 'msg',
        'video/mpeg' => 'mp2 mpa mpe mpeg mpg mpv2 mp4',
        'video/x-flv' => 'flv',
        'video/x-ms-asf' => 'asf asr asx',
        'video/x-msvideo' => 'avi',
        'video/x-ms-wmv' => 'wmv',
        'video/ogg' => 'ogv',
        'video/quicktime' => 'mov qt',
        'video/webm' => 'webm',
        'application/x-msaccess' => 'mdb',
        'application/acad' => 'dwg',
        'application/dxf' => 'dxf',
        'application/vnd.ms-excel' => 'xls xlsx xla xlax xlc xlcx xlm xlmx xlt xltx xlw xlwx',
        'application/x-gtar' => 'gtar',
        'application/x-gzip' => 'gz',
        'application/x-javascript' => 'js',
        'application/vnd.ms-project' => 'mpp',
        'application/vnd.ms-works' => 'wcm wdb wks wps',
        'application/octet-stream' => 'bin class dms exe lha lzh',
        'application/vnd.oasis.opendocument.graphics' => 'odg',
        'application/vnd.oasis.opendocument.presentation' => 'odp',
        'application/vnd.oasis.opendocument.spreadsheet' => 'ods',
        'application/vnd.oasis.opendocument.text' => 'odt',
        'application/pdf' => 'pdf',
        'application/php' => 'php inc',
        'application/postscript' => 'ai eps ps',
        'application/vnd.ms-powerpoint' => 'ppt pptx pps ppsx pot potx',
        'application/x-shockwave-flash' => 'swf',
        'application/x-tar' => 'tar',
        'application/winhlp' => 'hlp',
        'application/msword' => 'doc docx dot dotx rtf',
        'application/x-mswrite' => 'wri',
        'application/xml' => 'xml',
        'application/zip' => 'zip',
    );
    $ext = substr($inImage, $pos+1);
    foreach($data as $id => $valstr){
        $idstr.= ' ';
        if(strpos($valstr, $ext)!==false)
            return $id;
    }
}
// ------------------------------------------------------------------------
?>